function [mn,x,xx]=pplot_piram(R1,str,nmax,angle,f1,f2,mn,col,FontSize,LineWidth,MarkerSize);

R2=[];
R2=R1;
temp=R2(1,:);
R2(1,:)=R2(nmax,:);
R2(nmax,:)=temp;
temp=R2(:,1);
R2(:,1)=R2(:,nmax);
R2(:,nmax)=temp;
clear temp;
temp=str(1);
str(1)=str(nmax);
str(nmax)=temp;
clear temp;
E=tree2lst_nosort(R2);
count=[];
count=[count,1];
level=zeros(1,col);
level(1,1)=1;
z=1;
while z~=0;
    clear temp;
    temp=zeros(1,col);
    k=1;
    for i=1:count(z)
        for j=1:col
            if level(z,i)~=j & R2(level(z,i),j)~=inf
                temp(1,k)=j;
                R2(j,level(z,i))=inf;
                k=k+1;
            end
        end
    end
    if k==1
       z=0;
   else
       level=[level;temp];
       count=[count,k-1];
       z=z+1;
   end
end
cords=zeros(col,2);
b=[];
for i=1:size(count,2)
    for j=1:count(i)
        cords(level(i,j),1)=j/(count(i)+1);
        cords(level(i,j),2)=-i;
        xx=plot(j/(count(i)+1),-i,'ko');
        set(xx,'Visible','off');
        b(level(i,j))=xx;
                
    end
end
clear R2;

for i=1:size(E,1)
    xx=plot([cords(E(i,1),1),cords(E(i,2),1)],[cords(E(i,1),2),cords(E(i,2),2)],'k-','LineWidth',LineWidth);
    a=get(b(E(i,1)),'Userdata');
    z=get(b(E(i,2)),'Userdata');
    a=[a,xx];
    z=[z,xx];
    set(b(E(i,1)),'Userdata',a);
    set(b(E(i,2)),'Userdata',z);
end
for i=1:col;
    xx_border=plot(cords(i,1),cords(i,2),'ko');% Точка за реальной точкой. Обечайка
    set(xx_border,'MarkerFaceColor',[0 0 0]);
    set(xx_border,'MarkerEdgeColor',[0 0 0]);
    set(xx_border,'MarkerSize',MarkerSize*1.3);
    set(xx_border,'Visible','off');
    xx=plot(cords(i,1),cords(i,2),'ko');
    if f2==1
        set(xx,'MarkerFaceColor',str(i).color);
        set(xx,'MarkerSize',MarkerSize);
        set(xx,'LineWidth',0.5);
    else
        %setshape(xx,str(i).color_bw(1));
        %set(xx,'markerfacecolor',str(i).color_bw);
        set(xx,'marker',str(i).symvol);
        set(xx,'MarkerEdgeColor',[0 0 0]);%str(i).color_bw1);
        set(xx,'markerfacecolor',[0,0,0]);
        set(xx,'MarkerSize',MarkerSize);
        set(xx,'LineWidth',2);
    end
    a=[];
    a.color=str(i).color;
    a.color_bw=str(i).color_bw;
    a.color_bw1=str(i).color_bw1;
    a.symvol=str(i).symvol;
    a.border=xx_border;
    yy=text(cords(i,1),cords(i,2)-0.25,str(i).name,'fontsize',FontSize);
    a.text=yy;
    a.links=get(b(i),'UserData');
    set(xx,'UserData',a);
    set(xx,'ButtonDownFcn','mvv');
    mn=[mn,xx];
 %   delete(b(i));
end
x=0;
min_legend(str,f2,MarkerSize,FontSize);